Skip to main content

How to create manual templates

This document is designed to help you understand how you can create manual templates. To create manual templates, you first need your credentials. If you don't already have one, head over to the Authentication and Authorization page to see how you can request for credentials from us.

The endpoint mentioned below can be used to create multiple manual templates at once by passing a list -

Request​

HTTP request​

POST https://api.mykaarma.com/manage/v2/dealer/{{dealerUUID}}/manualTemplates

Parameters​

Parameter NameValueDescription
dealerUUIDstringUnique identifier (UUID) of the dealership for which you want to create manual templates

Authorization​

This request requires following scopes

ScopeLevelDescription
manage.dealer.writeDealerAuthorizes client to create manual templates for given dealership

Request Body​

Parameter NameValueDescription
{{template}}stringTemplate body
{{title}}stringTitle of the template

Curl​

curl -X POST "https://api.mykaarma.com/manage/v2/dealer/{{dealerUUID}}/manualTemplates" 
--header 'accept: application/json' \
-u "{{username}}:{{password}}" \
--header 'Content-Type: application/json' \
--data-raw '{
"templates": [
{
"template": {{template}},
"title": {{title}}
}
]
}'

Response​

{
"apiRequestId": "string",
"errors": [
{
"errorCode": "number",
"errorMessage": "string",
"errorTitle": "string"
}
],
"warnings": [
{
"warningCode": "number",
"warningMessage": "string",
"warningTitle": "string"
}
]
}

Sample Response​

{
"errors": [
{
"errorCode": 100004,
"errorTitle": "REQUEST_NOT_AUTHORIZED",
"errorMessage": "Authentication passed but Authorization failed."
}
],
"warnings": [],
"apiRequestId": "a3f2dc40-1913-4883-8c82-4585723402ec"
}